Bug 1045728 - Changing artifact/group ID does not update the view header.
Summary: Changing artifact/group ID does not update the view header.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER2
: 6.0.1
Assignee: manstis
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 14:35 UTC by Marek Baluch
Modified: 2014-08-06 19:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:36 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (138.60 KB, image/png)
2013-12-21 14:35 UTC, Marek Baluch
no flags Details

Description Marek Baluch 2013-12-21 14:35:24 UTC
Created attachment 840033 [details]
screenshot

Description of problem:
When I change the group and/or artifact ID of a project and save the new data then the header 'Project: [groupId:artifactId:version]' will not be updated right away. See attached screenshot.


How reproducible:


Steps to Reproduce:
1. click 'Tools' -> 'Project Editor'
2. update groupId and artifactId
3. click 'Save' to save the changes

Actual results:
header says 'Project: [old_groupId:old_artifactId:old_version]'


Expected results:
header says 'Project: [new_groupId:new_artifactId:old_version]' (as version was not changed)


Additional info:
the screenshot shows a project where the groupId and versionId was changed - prefix '_RENAMED' was appended. The header still says 'Project: [mortgages:mortgages:0.0.1]'

Comment 2 Marek Baluch 2014-03-05 13:28:26 UTC
Verified on 6.0.1.ER2.


Note You need to log in before you can comment on or make changes to this bug.